/**
*@METHOD		: WrapperClass.cs
*@DESCRIPTION	: This class handles what happens when a chat is received.
*@VERSION		: NOVEMBER 1, 2015
*@PROGRAMMER	: BRIAN HINDS
*/
using System;
using System.Collections.Generic;
using System.Text;

namespace Remotable
{
    public class WrapperClass : MarshalByRefObject
    {
        /**
        *@ This event executes when a chat is received.
        */
        public event MessageHandler WrapperMessageReceived;
        /**
        *@METHOD			:WrapperMessageReceivedHandler
        *@DESCRIPTION		:This method send chat message to another user.
        *@PARAMETERS		:(string chatMsg)
        *@RETURNS			:None
        */
        public void WrapperMessageReceivedHandler(string chatMsg)
        {
            if (WrapperMessageReceived != null)
            {
                var handler = WrapperMessageReceived;
                if (handler != null) handler(chatMsg);
            }
        }
        /**
        *@METHOD			:InitializeLifetimeService()
        *@DESCRIPTION		:This method determine the lifetime of the object.
        *@PARAMETERS		:None
        *@RETURNS			:Null
        */
        public override object InitializeLifetimeService()
        {return null;}
    }
 }
